package com.ecep.contract.model;

import com.ecep.contract.VendorFileType;
import com.ecep.contract.vo.VendorFileTypeLocalVo;

import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 供应商文件类型（多国语言支持）
 */
@Getter
@Setter
@Entity
@Table(name = "COMPANY_VENDOR_FILE_TYPE_LOCAL")
@ToString
public class VendorFileTypeLocal extends BaseEnumEntity<VendorFileType> implements Voable<VendorFileTypeLocalVo> {

    @Override
    public VendorFileTypeLocalVo toVo() {
        VendorFileTypeLocalVo vo = new VendorFileTypeLocalVo();
        vo.setId(getId());
        vo.setLang(getLang());
        vo.setValue(getValue());
        vo.setType(getType());
        return vo;
    }
}
